namespace Salamander
{

template<typename T>
T Scribe::read()
{
	T value;
	fstream_.read((char*)&value, sizeof(T));
	return value;
}

template<typename T>
void Scribe::write(const T& value)
{
	fstream_ .write((char*)&value, sizeof(T));
}

}
